using System;

namespace TopCoder.Uml.Xmi.MetaData
{
    /// <summary>
    /// A type of documentation.  The enumeration provides stable types based on a string in the XMI file.
    /// </summary>
    /// <author>Dan Manges (Seiz3r)</author>
    public enum DocumentationType
    {
        /// <summary>
        /// Documentation summary for an element.
        /// </summary>
        Summary,
        /// <summary>
        /// Returns documentation for a method.
        /// </summary>
        Returns,
        /// <summary>
        /// ParamValue documentation for an attribute.
        /// </summary>
        ParamValue,
        /// <summary>
        /// Throws documentation for exceptions.
        /// </summary>
        Throws,
        /// <summary>
        /// An unrecognized type of documentation.
        /// </summary>
        Other
    }
}